/*
 * File:  io.h 
 * Date:  September 14, 1993
 * Programmer:  Cecil Huang
 * =========================
 * I/O interface for SWIG1.12
 *   
 * September 16, 1993.  Revamped read_protein.  Forget dynamic allocation.
 */


void free_int_table(int **mat_align, int rows);
void free_pam(PAM *pam);
int *get_freq_data(PAM *pam, PROTEIN *protein);
int **make_int_table(int rows, int columns);
PAM *make_pam();
char next_bottom_char(int aa_pos);
char next_top_char(int aa_pos);
void pam_copy(PAM *dest, PAM *src);
int pam_lookup(PAM *pam, char aa1, char aa2);
void print_optimal_match(MAT_PLUS *mp, PAM *pam);
void print_pam(PAM *pam);
void print_protein(PROTEIN *protein);
void read_and_calculate_gap_penalties(PAM *pam, PROTEIN *p1, PROTEIN *p2);
PAM *read_pam(char filename[]);
PROTEIN *read_protein(PAM *pam, char filename[]);
void x_beginning(char *top, char *bot);
void x_end(char *top, char *bot, int len);
